/// #pkgName FGUI包名
/// #panelName UIPanel名字
/// #UIName = $"{#pkgName}{#panelName}" UIKey名字
/// #PropertyDefineArea 属性定义区域
/// #PropertyAssignArea 属性赋值区域
/// #ComponentType 组件类型
/// #PropertyName 属性名字
/// 该脚本由模板创建，不可编辑
/// created by cb 2024
using FairyGUI;
using XGame.Framework.FGUI;
using XGame.Framework.UI;

namespace FL.FGUI
{
    /// <summary>
    /// 该脚本由模板创建，不可修改，不可编辑
    /// </summary>
    public partial class DragonEggEggQualityListVM : FguiViewModel
    {
        public Controller MaxLvState { get; private set; }
        public GLoader QualityBg { get; private set; }
        public GLoader QualityIcon { get; private set; }
        public GTextField CurLab { get; private set; }
        public GTextField NextLab { get; private set; }
        public GImage LockImg { get; private set; }

        protected override void BindComponents(GComponent panel, IUIViewAdapter adapter)
        {
            MaxLvState = panel.GetController("MaxLvState");
            QualityBg = panel.GetChild("QualityBg") as GLoader;
            QualityIcon = panel.GetChild("QualityIcon") as GLoader;
            CurLab = panel.GetChild("CurLab") as GTextField;
            NextLab = panel.GetChild("NextLab") as GTextField;
            LockImg = panel.GetChild("LockImg") as GImage;

        }
    }
}